Subject: bug#59786: Allowing arbitrary expressions in cl-labels

From: Michael Heerdegen <[email-masked]>
Date: Tue, 29 Oct 2024 16:49:46 +0100

Stefan Monnier <[email-masked]> writes:

> >> -forms of the function body.  FUNC is defined in any BODY, as well
> >> +forms of the function body.  FUNC is defined in any BODY or EXP, as well

> This is normal. [...]

Ok - fine with me.

But can we avoid saying a FUNC would be defined in any EXP and try be
clearer - like "defined in any EXP _result_" or so?

EXP is the form that computes a function binding, so AFAIU it is wrong
what we are saying - at least confusing.  Do you follow what I mean?

Michael.